edu.sc.seis.sod.subsetter.origin

## Class NetworkTimeRange

- java.lang.Object
- - edu.sc.seis.sod.subsetter.origin.NetworkTimeRange

- All Implemented Interfaces:
    ArmListener, SodElement, MicroSecondTimeRangeSupplier, OriginSubsetter, Subsetter

      public class NetworkTimeRange
      extends java.lang.Object
      implements OriginSubsetter, ArmListener, MicroSecondTimeRangeSupplier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkTimeRange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl origin)`
    `void` | `finished(Arm arm)`
    `edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange` | `getMSTR()`
    `void` | `started()` Called when all the arms have been started.
    `void` | `starting(Arm arm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkTimeRange

          public NetworkTimeRange()
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### starting

          public void starting(Arm arm)
                        throws ConfigurationException

      Specified by:
        `starting` in interface `ArmListener`
      Throws:
        `ConfigurationException`

    - #### started

          public void started()
                       throws ConfigurationException

      Description copied from interface: `ArmListener`
      Called when all the arms have been started.
      Specified by:
        `started` in interface `ArmListener`
      Throws:
        `ConfigurationException`

    - #### finished

          public void finished(Arm arm)

      Specified by:
        `finished` in interface `ArmListener`

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl origin)

      Specified by:
        `accept` in interface `OriginSubsetter`

    - #### getMSTR

          public edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange getMSTR()

      Specified by:
        `getMSTR` in interface `MicroSecondTimeRangeSupplier`